=== debian/changelog ===
virtualjaguar (2.1.2-1) unstable; urgency=medium

  * Fix watch file (missing 2 from bz2), and scan for numeric versions.
  * Import upstream version 2.1.1.
  * Add myself as uploader.
  * Use verbose output from makefiles.
  * Fix location of README file.
  * Drop patches integrated in new upstream release.
  * Import upstream version 2.1.2.
  * Install 32x32 pixel version of the icon for menu.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 11 Oct 2014 12:11:47 +0100

virtualjaguar (2.1.0-3) unstable; urgency=medium

  [ Teemu Hukkanen ]
  * Add patch to enable build support on Debian GNU/Hurd.

  [ John Paul Adrian Glaubitz ]
  * Fix relative paths of the public-domain files in debian/copyright.
  * Remove docs/WHATSNEW from the files to be installed in debian/docs.
  * Update standards version to 3.9.6 in debian/control, no changes required.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 20 Sep 2014 16:07:22 +0200

virtualjaguar (2.1.0-2) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Fix wording in long description in debian/control.
  * Add override for dh_installchangelogs in debian/rules to install docs/WHATSNEW as changelog.gz.
  * Remove trailing space in debian/rules.

  [ Teemu Hukkanen ]
  * Add patch to use XDG_DATA_DIR for EEPROM and ROM files.
  * Add patch to enable build support on Debian kFreeBSD.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 17 Sep 2014 14:17:26 +0200

virtualjaguar (2.1.0-1) unstable; urgency=low

  * Initial release (Closes: 749579).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 27 May 2014 19:00:51 +0200
