=== debian/changelog ===
virtualjaguar (2.1.3-2) unstable; urgency=medium

  * Fix bogus standards version in debian/control.
  * Switch to libqt5opengl5-desktop-dev build-dependency
    in debian/control. (Closes: #884396)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 15 Dec 2017 00:59:14 +0100

virtualjaguar (2.1.3-1) unstable; urgency=medium

  * New upstream release (Closes: #875225).
  * Drop debian/patches/20-fix-sign-declarations.patch, fixed upstream.
  * Drop debian/patches/10-add-version-file.patch, no longer needed.
  * Add patch to fix version number in Makefile.
  * Update Qt Build-Depends for Qt5 in debian/control.
  * Add libcdio-dev to Build-Depends in debian/control.
  * Update standards version to 4.0.1 in
    debian/control, no changes required.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 18 Sep 2017 19:08:20 +0200

virtualjaguar (2.1.2-3) unstable; urgency=medium

  * Add patch to fix sign declarations of multiple arrays. (Closes: #811775)
  * Update years in debian/copyright.
  * Drop debian/menu file in compliance with CTTE decision (see #741573).
  * Update standards version to 3.9.8 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 15 May 2016 15:16:44 +0200

virtualjaguar (2.1.2-2) unstable; urgency=medium

  * Update VJ_RELEASE_VERSION in debian/patches/
    10-add-version-file.patch to 2.1.2.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 29 Dec 2014 16:12:44 +0100
