=== debian/control ===
--- 
+++ 
@@ -3,12 +3,8 @@
 Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Teemu Hukkanen <tjhukkan@iki.fi>
-Build-Depends: debhelper (>= 9.0.0),
-               libqt4-dev,
-               libqt4-opengl-dev,
-               libsdl1.2-dev,
-               netpbm
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, libqt5opengl5-desktop-dev, libsdl1.2-dev, netpbm, libcdio-dev
+Standards-Version: 4.1.0
 Homepage: http://icculus.org/virtualjaguar/
 Vcs-Git: git://github.com/glaubitz/virtualjaguar-debian.git
 Vcs-Browser: https://github.com/glaubitz/virtualjaguar-debian
