=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://icculus.org/virtualjaguar/tarballs/virtualjaguar-([\d\.]*)\.tar\.bz2
