=== debian/changelog ===
virtualjaguar (2.1.3+final-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to fix version number in Makefile (Closes: #1046444)
  * Add patch to switch to SDL2
  * Add patch to use joystick identifier from SDL_JoystickOpen
    for SDL_JoystickName
  * Add patch to fix missing inclusion of m68kinterface.h in
    src/m68000/inlines.h (Closes: #1066383)
  * Replace libsdl1.2-dev with libsdl2-dev in Build-Depends
    in debian/control (Closes: #1038585)
  * Update debhelper version to 13 and switch to debhelper-compat
  * Update Debian-Standards to 4.7.2.0 in debian/control
  * Update Vcs-* fields for new Salsa project in debian/control
  * Update copyright years for debian directory in debian/copyright
  * Add dversionmangle for +final version suffix in debian/watch
  * Run wrap-and-sort to clean up files in debian directory

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 21 Mar 2025 13:56:56 +0100
