=== debian/control ===
--- 
+++ 
@@ -3,15 +3,20 @@
 Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Teemu Hukkanen <tjhukkan@iki.fi>
-Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, libqt5opengl5-desktop-dev, libsdl1.2-dev, netpbm, libcdio-dev
-Standards-Version: 4.1.0
+Build-Depends: debhelper-compat (= 13),
+               libcdio-dev,
+               libqt5opengl5-desktop-dev,
+               libsdl2-dev,
+               netpbm,
+               qtbase5-dev
+Standards-Version: 4.7.2.0
 Homepage: http://icculus.org/virtualjaguar/
-Vcs-Git: git://github.com/glaubitz/virtualjaguar-debian.git
-Vcs-Browser: https://github.com/glaubitz/virtualjaguar-debian
+Vcs-Browser: https://salsa.debian.org/debian/virtualjaguar
+Vcs-Git: https://salsa.debian.org/debian/virtualjaguar.git
 
 Package: virtualjaguar
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Cross-platform Atari Jaguar emulator
  Virtual Jaguar is a cross-platform emulator for Atari's infamous
  Jaguar console, the last video game system to be ever released by
